For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardGet started
  • Getting Started
    • Introduction
    • Quickstart
    • Errors
  • Core Concepts
    • Capabilities
    • Containers
    • Gateway
    • Wallets and top-ups
    • Grants and controls
    • Mandates
    • Approvals
    • Receipts
    • Settlements
  • Authentication
    • Authentication overview
    • Wallet sign-in (SIWE)
    • Connected apps (OAuth)
  • Guides
    • Call a capability
    • Monetize an API
    • Apply for public capability
    • Realtime notifications
  • Agents
    • MCP
    • CLI
  • Admin
    • Capability applications
  • API Reference
    • Overview
    • Authentication
  • Generated API Explorer
      • GETList approvals
      • POSTRequest approval
      • GETGet an approval
      • POSTDecide (human session only — not API key)
      • GETGet signing challenge for wallet-decision
      • POSTDecide via wallet signature
LogoLogo
DashboardGet started
Generated API ExplorerApprovals

Get signing challenge for wallet-decision

GET
/v1/approvals/:id/challenge
GET
/v1/approvals/:id/challenge
$curl -G https://api.lipafy.xyzyz/v1/approvals/id/challenge \
> -d decision=approve
200Retrieved
1{
2 "approval": {
3 "id": "string",
4 "account_id": "string",
5 "requesting_grant_id": "string",
6 "capability_slug": "string",
7 "amount": "string",
8 "currency_code": "string",
9 "justification": "string",
10 "status": "pending",
11 "decided_at": "2024-01-15T09:30:00Z",
12 "expires_at": "2024-01-15T09:30:00Z",
13 "consumed_at": "2024-01-15T09:30:00Z",
14 "created_at": "2024-01-15T09:30:00Z"
15 },
16 "decision": "string",
17 "message": "string"
18}
Was this page helpful?
Previous

Decide via wallet signature

Next
Built with

Path parameters

idstringRequiredformat: "uuid"

Query parameters

decisionenumRequired
Allowed values:

Response

OK
approvalobject
decisionstring
messagestring

SIWE-style message to sign